Bug 458440 - Review Request: bluemindo - Simple audio player in python/GTK
Review Request: bluemindo - Simple audio player in python/GTK
Status: CLOSED DUPLICATE of bug 541760
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 09:17 EDT by Florent Le Coz
Modified: 2009-11-26 19:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 14:22:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florent Le Coz 2008-08-08 09:17:32 EDT
SPEC url: http://dl.free.fr/oTfMQ0xp3/bluemindo.spec
SRPM url: http://dl.free.fr/mFx8BkQWK/bluemindo-0.2.1-1.fc9.src.rpm

Description: Bluemindo is a really simple powerful audio player in python/PyGTK, using Gstreamer.
It claims to be lightweight.

It needs python-tag >= 0.94 (the one actually included in fedora 9 is 0.91, and it doesn't work with it (see http://www.codingteam.net/bluemindo-bugs-affiche-231_fr.html)), so I don't know if it can be included in fedora, but I think that we should update the python-tag fedora package to 0.94 if possible.

rpmlint reports 9 errors: "script-without-shebang", should I patch to correct these errors ? (these shebang aren't needed at all)

(info: I'm following this package's developpement, and I know the main developper (and I reported some bugs))

This is my first package from-scratch, and I need support.
Comment 1 Florent Le Coz 2008-08-31 12:47:25 EDT
bump, nobody for a review ? ...

note that python-tag problem is not a problem anymore for version 0.94 is now included in fedora repos.
Comment 2 Fabian Affolter 2008-10-28 06:30:34 EDT
(In reply to comment #0)
> rpmlint reports 9 errors: "script-without-shebang", should I patch to correct
> these errors ? (these shebang aren't needed at all)

You can remove the shebang in the spec file or make a patch whatever you like.
https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files

Just some quick comments on your spec file.

Macros
 - You are using a lot of macros.  IMHO, you should consider to drop them.  Your spec file will be more readable.  Even you miss one ( %{appdir}/locale/bluemindo.pot -> podir?) ;-)

BuildRequires:
 - Python packages should be sure to have: BuildRequires: python
   https://fedoraproject.org/wiki/Packaging/Python

%build section
 - What is %{nil}? 

Source0:	http://www.codingteam.net/upload/77133a-bluemindo-0.2.1.tar.gz
 - You can switch to 'Source0:	http://www.codingteam.net/upload/77133a-%{name}-%{version}.tar.gz' this way you haven't to take care of this after a new release of the source.

%files
 - You can add all %doc entries on one line %doc AUTHORS CHANGELOG... but that only cosmetical

%changelog
 - for correct changelog entries, take a look at https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 3 Fabian Affolter 2008-11-03 07:22:12 EST
(In reply to comment #2)
> 
> %build section
>  - What is %{nil}? 

Is there a problem with the debuginfo package? 

https://fedoraproject.org/wiki/Packaging/Debuginfo
Comment 4 Fabian Affolter 2008-11-13 08:12:53 EST
ping?
Comment 5 Fabian Affolter 2008-12-08 08:15:38 EST
Are you still interested to maintain this package?
Comment 6 Florent Le Coz 2008-12-09 20:06:02 EST
First of all : Really sorry for the delay... I was quite busy, and a bit lazy too...
And thank you for the review :)

So, here is a new version:
SRPM: http://louizatakk.no-ip.org/fedora/bluemindo-0.2.1-2.fc10.src.rpm 
SPEC: http://louizatakk.no-ip.org/fedora/bluemindo.spec

(In reply to comment #2)
> (In reply to comment #0)
> > rpmlint reports 9 errors: "script-without-shebang", should I patch to correct
> > these errors ? (these shebang aren't needed at all)
> 
> You can remove the shebang in the spec file or make a patch whatever you like.
> https://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Remove_shebang_from_files
Done, but it's a little "hackish" for this sort of thing, is it really necessary ?
Now rpmlint only complains about the __init__.py missing the shebang, but the software simply can NOT work when the __init__.py files aren't empty.

> 
> Just some quick comments on your spec file.
> 
> Macros
>  - You are using a lot of macros.  IMHO, you should consider to drop them. 
> Your spec file will be more readable.  Even you miss one (
> %{appdir}/locale/bluemindo.pot -> podir?) ;-)
Ok, I removed them

> 
> BuildRequires:
>  - Python packages should be sure to have: BuildRequires: python
>    https://fedoraproject.org/wiki/Packaging/Python
> 
Thanks, done

> %build section
>  - What is %{nil}? 
> 

Like None or NULL, it does nothing...
But now I use the %build section, I removed it

> Source0: http://www.codingteam.net/upload/77133a-bluemindo-0.2.1.tar.gz
>  - You can switch to 'Source0:
> http://www.codingteam.net/upload/77133a-%{name}-%{version}.tar.gz' this way you
> haven't to take care of this after a new release of the source.
Yeah, I usually do it, but I forgot... fixed.


> 
> %files
>  - You can add all %doc entries on one line %doc AUTHORS CHANGELOG... but that
> only cosmetical
Yeah, pretty neat, now :)
> 
> %changelog
>  - for correct changelog entries, take a look at
> https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs

Yes, there was a little mistake.


Oh, and I added the handling of the language, I find my way to do it very "hackish" (once again), I don't know if it's the way to do it, but it actually works.

New review welcome :)
Comment 7 Fabian Affolter 2008-12-19 08:27:39 EST
Your spec file and your Source RPM are not accessible.  Why aren't you using your hosting space at Fedorapeople.org?
Comment 8 Florent Le Coz 2008-12-20 09:08:22 EST
Oh, really sorry :(

Here are the files :

http://louizatakk.fedorapeople.org/bluemindo-0.2.1-2.fc10.src.rpm
http://louizatakk.fedorapeople.org/bluemindo.spec
Comment 9 Fabian Affolter 2008-12-20 11:50:45 EST
This is the rpmlint output after the rebuild

[fab@laptop024 SRPMS]$ rpmlint bluemindo-0.2.1-2.fc10.src.rpm 
bluemindo.src: W: mixed-use-of-spaces-and-tabs (spaces: line 36, tab: line 4)
bluemindo.src: W: strange-permission 77133a-bluemindo-0.2.1.tar.gz 0755
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

This is easy to fix.

[fab@laptop024 noarch]$ rpmlint bluemindo-0.2.1-2.fc9.noarch.rpm 
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/modules/__init__.py
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/media/__init__.py
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/libs/__init__.py
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/gui/__init__.py
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/common/__init__.py
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/plugins/__init__.py
bluemindo.noarch: E: script-without-shebang /usr/share/bluemindo/src/handlers/__init__.py
bluemindo.noarch: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/bluemindo.mo
bluemindo.noarch: W: file-not-in-%lang /usr/share/locale/sk/LC_MESSAGES/bluemindo.mo
1 packages and 0 specfiles checked; 7 errors, 2 warnings.

About the shebang stuff, perhaps it is easier to report upstream that they fix the files.  Or separate those files.

Some comment after a quick look at your new spec file

- %{__install} -d $RPM_BUILD_ROOT%{_bindir} is twice listed
- Where is %{menudir} and %{icondir} defined? Remains from the old spec file?
- 'Keep in mind that usage of %find_lang in packages containing locales is a MUST.'
  https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
- Check https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files for the handling of the .desktop file
- You should preserve the timestamps
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
Comment 10 Fabian Affolter 2009-01-08 07:51:53 EST
Any progress on this?
Comment 11 Fabian Affolter 2009-02-10 08:45:25 EST
Do you need any more help to bring this into Fedora?
Comment 12 Fabian Affolter 2009-04-08 01:58:05 EDT
Is this review dead?
Comment 13 Fabian Affolter 2009-07-09 14:22:47 EDT
It's ...
Comment 14 Thomas Spura 2009-11-26 19:24:34 EST

*** This bug has been marked as a duplicate of bug 541760 ***

Note You need to log in before you can comment on or make changes to this bug.